Bug 135375 - CAN-2004-0835 MySQL flaws (CAN-2004-0836, CAN-2004-0837, CAN-2004-0957)
Summary: CAN-2004-0835 MySQL flaws (CAN-2004-0836, CAN-2004-0837, CAN-2004-0957)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mysql   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Tom Lane
QA Contact: David Lawrence
URL:
Whiteboard: impact=important,public=20041012
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-12 11:06 UTC by Mark J. Cox
Modified: 2013-07-03 03:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-08 17:36:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark J. Cox 2004-10-12 11:06:46 UTC
The following flaws have recently been publicised in MySQL, public on
Oct11

        CAN-2004-0835 ALTER TABLE ... RENAME checks wrong rights
        http://bugs.mysql.com/bug.php?id=3270

        CAN-2004-0836 buffer overrun in mysql_real_connect
        http://bugs.mysql.com/bug.php?id=4017

        CAN-2004-0837 server crash due to locking
        http://bugs.mysql.com/2408

Comment 1 Mark J. Cox 2004-10-18 16:43:30 UTC
Also

        CAN-2004-0957 Privilege Escalation on GRANT ALL ON `Foo\_Bar`
        http://bugs.mysql.com/bug.php?id=3933


Comment 2 Tom Lane 2004-11-12 16:31:21 UTC
This stuff is fixed in mysql-3.23.58-9.1, which I've built in
dist-fc2, but I don't know the process for pushing out Fedora errata?

Comment 4 Tom Lane 2004-12-08 17:36:11 UTC
FC2 update is now pushed as FEDORA-2004-530.  Sorry about the delay.


Note You need to log in before you can comment on or make changes to this bug.